Burn-pluginin asennusongelmia

VDR ja DVB aiheista keskustelua
jaakkomk
Vanhempi asiantuntija
Viestit: 178
Liittynyt: 09.01.2007 13:27

Burn-pluginin asennusongelmia

Viesti Kirjoittaja jaakkomk » 01.04.2007 17:47

Asensin valmiista Livnan paketista burn-pluginin (0.1.0-pre21) ja yritän tehdä imagea yksittäisestä tallenteesta. Valittuna on ProjectX pluginin asetuksista. Tällaista tulostuu temppiin muodostuvaan logiin:

[author] STAT: Processing /tmp/vdr-burn.Simpsonit.zLDntL/VDRSYNC.0/movie.mpg...
[demux] Failed to load Main-Class manifest attribute from /usr/share/java/ProjectX.jar
[vdr] process demux (pid = 3975) exited gracefully (exit code 1)
[vdr] process "demux" exited
[vdr] ERROR: process author (pid = 3976) crashed (signal 15)

Ja tällaista messagesiin:

Apr 1 17:37:57 dsl-vsabrasgw1-fe02dc00-30 vdr: [3941] loading /srv/vdr/%Simpson
it/2007-03-02.20.30.50.99.rec//marks.vdr
Apr 1 17:37:57 dsl-vsabrasgw1-fe02dc00-30 vdr: [3941] burn: language code for '
fin' is 'fi'
Apr 1 17:37:57 dsl-vsabrasgw1-fe02dc00-30 vdr: [3941] burn: language code for '
fin' is 'fi'
Apr 1 17:38:10 dsl-vsabrasgw1-fe02dc00-30 kernel: ati_remote 1-2:1.0: Unknown i
nput from channel 0x0f: data 23,1e
Apr 1 17:38:10 dsl-vsabrasgw1-fe02dc00-30 vdr: [3941] burn: no translation foun
d for 'Kohde' in language 8 (suomi)
Apr 1 17:38:10 dsl-vsabrasgw1-fe02dc00-30 vdr: [3941] burn: no translation foun
d for 'Levyn tyyppi' in language 8 (suomi)
Apr 1 17:38:10 dsl-vsabrasgw1-fe02dc00-30 vdr: [3941] burn: no translation foun
d for 'Kappaleet' in language 8 (suomi)
Apr 1 17:38:10 dsl-vsabrasgw1-fe02dc00-30 vdr: [3941] burn: no translation foun
d for 'Levyn koko' in language 8 (suomi)
Apr 1 17:38:19 dsl-vsabrasgw1-fe02dc00-30 vdr: [3944] frontend 0 timed out whil
e tuning to channel 7, tp 602
Apr 1 17:38:21 dsl-vsabrasgw1-fe02dc00-30 vdr: [3965] burn: MENU_BACKGROUND=/tm
p/vdr-burn.Simpsonit.X1r7SU/menu-bg-0.png
Apr 1 17:38:21 dsl-vsabrasgw1-fe02dc00-30 vdr: [3965] burn: MENU_M2V=/tmp/vdr-b
urn.Simpsonit.X1r7SU/menu-background.m2v
Apr 1 17:38:21 dsl-vsabrasgw1-fe02dc00-30 vdr: [3964] burn: starting sh -c 'vdr
burn-dvd.sh render' (pid = 3965)
Apr 1 17:38:21 dsl-vsabrasgw1-fe02dc00-30 vdr: [3965] burn: MENU_MPEG=/tmp/vdr-
burn.Simpsonit.X1r7SU/menu-bg-0.mpg
Apr 1 17:38:21 dsl-vsabrasgw1-fe02dc00-30 vdr: [3965] burn: MENU_SOUNDTRACK=/et
c/vdr/plugins/burn/menu-silence.mp2
Apr 1 17:38:21 dsl-vsabrasgw1-fe02dc00-30 vdr: [3965] burn: MENU_XML=/tmp/vdr-b
urn.Simpsonit.X1r7SU/menu-0.xml
Apr 1 17:38:26 dsl-vsabrasgw1-fe02dc00-30 vdr: [3970] burn: MENU_BACKGROUND=/tm
p/vdr-burn.Simpsonit.X1r7SU/VDRSYNC.0/menu-bg-0.png
Apr 1 17:38:26 dsl-vsabrasgw1-fe02dc00-30 vdr: [3970] burn: MENU_M2V=/tmp/vdr-b
urn.Simpsonit.X1r7SU/VDRSYNC.0/menu-background.m2v
Apr 1 17:38:26 dsl-vsabrasgw1-fe02dc00-30 vdr: [3964] burn: starting sh -c 'vdr
burn-dvd.sh render' (pid = 3970)
Apr 1 17:38:26 dsl-vsabrasgw1-fe02dc00-30 vdr: [3970] burn: MENU_MPEG=/tmp/vdr-
burn.Simpsonit.X1r7SU/VDRSYNC.0/menu-bg-0.mpg
Apr 1 17:38:26 dsl-vsabrasgw1-fe02dc00-30 vdr: [3970] burn: MENU_SOUNDTRACK=/et
c/vdr/plugins/burn/menu-silence.mp2
Apr 1 17:38:26 dsl-vsabrasgw1-fe02dc00-30 vdr: [3970] burn: MENU_XML=/tmp/vdr-b
urn.Simpsonit.X1r7SU/VDRSYNC.0/menu-0.xml
Apr 1 17:38:29 dsl-vsabrasgw1-fe02dc00-30 vdr: [3964] burn: starting sh -c 'vdr
burn-dvd.sh demuxpx' (pid = 3975)
Apr 1 17:38:29 dsl-vsabrasgw1-fe02dc00-30 vdr: [3975] burn: CONFIG_PATH=/etc/vd
r/plugins/burn
Apr 1 17:38:29 dsl-vsabrasgw1-fe02dc00-30 vdr: [3975] burn: IGNORE_TRACKS=
Apr 1 17:38:29 dsl-vsabrasgw1-fe02dc00-30 vdr: [3975] burn: MPEG_DATA_PATH=/tmp
/vdr-burn.Simpsonit.X1r7SU/VDRSYNC.0
Apr 1 17:38:29 dsl-vsabrasgw1-fe02dc00-30 vdr: [3975] burn: MPEG_TMP_PATH=/tmp/
vdr-burn.Simpsonit.zLDntL/VDRSYNC.0
Apr 1 17:38:29 dsl-vsabrasgw1-fe02dc00-30 vdr: [3975] burn: RECORDING_PATH=/srv
/vdr/%Simpsonit/2007-03-02.20.30.50.99.rec
Apr 1 17:38:29 dsl-vsabrasgw1-fe02dc00-30 vdr: [3975] burn: USED_TRACKS=0xe0,0x
c0
Apr 1 17:38:29 dsl-vsabrasgw1-fe02dc00-30 vdr: [3964] burn: starting sh -c 'vdr
burn-dvd.sh author' (pid = 3976)
Apr 1 17:38:29 dsl-vsabrasgw1-fe02dc00-30 vdr: [3976] burn: DVDAUTHOR_PATH=/tmp
/vdr-burn.Simpsonit.X1r7SU/DVDAUTHOR
Apr 1 17:38:29 dsl-vsabrasgw1-fe02dc00-30 vdr: [3976] burn: DVDAUTHOR_XML=/tmp/
vdr-burn.Simpsonit.X1r7SU/dvd.xml
Apr 1 17:38:29 dsl-vsabrasgw1-fe02dc00-30 vdr: [3976] burn: DVD_DEVICE=/dev/dvd writer
Apr 1 17:38:29 dsl-vsabrasgw1-fe02dc00-30 vdr: [3976] burn: ISO_FILE=/srv/vdr/S impsonit.iso
Apr 1 17:38:31 dsl-vsabrasgw1-fe02dc00-30 vdr: [3964] burn: process "demux" exi ted
Apr 1 17:38:31 dsl-vsabrasgw1-fe02dc00-30 vdr: [3964] ERROR[burn]: process auth or (pid = 3976) crashed (signal 15)
Apr 1 17:38:31 dsl-vsabrasgw1-fe02dc00-30 vdr: [3964] burn: executing 'cp /tmp/ vdr-burn.Simpsonit.X1r7SU/dvd.log /srv/vdr/vdrburn-Simpsonit.log'
Apr 1 17:38:31 dsl-vsabrasgw1-fe02dc00-30 vdr: [3964] burn: starting sh -c 'cp /tmp/vdr-burn.Simpsonit.X1r7SU/dvd.log /srv/vdr/vdrburn-Simpsonit.log' (pid = 39 82)
Apr 1 17:38:32 dsl-vsabrasgw1-fe02dc00-30 vdr: [3941] ERROR: Polttaminen ep�nni stui!

Pitääkö polttavalle (LG GSA-H22NB) ladata firmware? Entäs pitääkö tuonne vdrburn-dvd.sh:seen lisätä/muokata jotain?

kakkaroolari
Isäntä
Viestit: 97
Liittynyt: 25.07.2006 12:03
Paikkakunta: Tampere

Re: Burn-pluginin asennusongelmia

Viesti Kirjoittaja kakkaroolari » 01.04.2007 20:33

jaakkomk kirjoitti:[demux] Failed to load Main-Class manifest attribute from /usr/share/java/ProjectX.jar
Veikkaisin että sun täytyy veivata tuon ProjectX:n käynnistys kuntoon. Sun täytyy veivata sinne vdrburn-dvd.sh skripuun Javan polut kohdilleen.

Toinen on, jos yum väkästäisi mahdollisesti tolle ProjectX:lle saman tyylisen skripun kun esimerkiksi emerge Gentoossa; /usr/bin/projectx, joka käynnistää ton oikeilla vipusilla. Tällöin joudun muuttamaan sen käynnistyskomennon sieltä (demux funktiosta) vdrburn-dvd.sh:sta osottamaan tohon skriptiin java binäärin sijaan.

scop
Vanhempi asiantuntija
Viestit: 156
Liittynyt: 02.09.2005 3:00

Viesti Kirjoittaja scop » 02.04.2007 15:36

projectx löytyy source-paketoituna täältä: http://cachalot.mine.nu/6/SRPMS/ (käännä rpmbuild --rebuild ...src.rpm:llä)

Ei toimi muistaakseni Fedoran mukana tulevalla Javalla, itse olen asentanut Sunin JDK 1.6 rpm:n ja siihen päälle www.jpackage.org:sta java-1.6.0-sun-compat -paketin, noilla toimii itselläni ilman mitään muutoksia vdrburn-dvd.sh:aan. Paketissa on myös /usr/bin/projectx -skripti mutta sitä ei tuon livnan vdr-burnin oletuskonffiksen kanssa tarvitse.

jaakkomk
Vanhempi asiantuntija
Viestit: 178
Liittynyt: 09.01.2007 13:27

Viesti Kirjoittaja jaakkomk » 02.04.2007 18:00

Tein kansion johon kopioin tuon lataamani projectx-0.90.4.00-0.4.cmn6.src.rpm -tiedoston ja yritin käskyllä rpmbuild --rebuild projectx-0.90.4.00-0.4.cmn6.src.rpm asentaa sitä. Valitti, että java-devel is needed. Mistäs sen saa asennettua?

scop
Vanhempi asiantuntija
Viestit: 156
Liittynyt: 02.09.2005 3:00

Viesti Kirjoittaja scop » 02.04.2007 18:09

"yum install java-devel" asentaa Fedoran mukana tulevan java-1.4.2-gcj-* -paketin, muistaakseni kääntyy kyllä sillä. Mutta ajamista varten tarvitset kuitenkin Sunin paketit, joten voisi olla parempi idea jättää toi Fedoran java väliin ja asentaa suoraan Sunin rpm-paketoitu 1.6.x ja sitä vastava java-1.6.0-sun-compat jpackagesta (jälkimmäinen sisältää tuon java-devel:n)

jaakkomk
Vanhempi asiantuntija
Viestit: 178
Liittynyt: 09.01.2007 13:27

Viesti Kirjoittaja jaakkomk » 29.04.2007 19:10

Nyt pitäisi olla Sunin JRE 1.6 asennettuna, mutta mites toi jpackagesta löytyvä compact-paketti asennetaan? :oops:

Avatar
dj
Yli-ihminen
Viestit: 668
Liittynyt: 22.08.2004 3:00

Viesti Kirjoittaja dj » 29.04.2007 20:06

Jos lataat sen koneellesi niin samassa hakemistossa:

rpm -Uvh paketinnimi


Tarpeetonta tietoa tai ei:
U=upgrade
v=verbose, kertoo tarinoita
h=hash, näyttää grafiikkaa, siis risuaitaa nollasta sataan

rpm = redhat package manager

jaakkomk
Vanhempi asiantuntija
Viestit: 178
Liittynyt: 09.01.2007 13:27

Viesti Kirjoittaja jaakkomk » 30.04.2007 8:27

Tuli mieleen, että mahtaako tuo vaikuttaa, kun asensin epähuomiossa JRE:n, enkä JDK:ta?

Avatar
phelin
Yli-ihminen
Viestit: 1256
Liittynyt: 09.02.2005 3:00
Paikkakunta: Helsinki

Viesti Kirjoittaja phelin » 30.04.2007 9:20

jaakkomk kirjoitti:Tuli mieleen, että mahtaako tuo vaikuttaa, kun asensin epähuomiossa JRE:n, enkä JDK:ta?
jos haluat java-koodia myös kääntää, niin tarvitset JDK:n.

Avatar
dj
Yli-ihminen
Viestit: 668
Liittynyt: 22.08.2004 3:00

Viesti Kirjoittaja dj » 30.04.2007 9:32

Ja se projectx pitää nimenomaan kääntää, joten:

Paketin poisto:
rpm -e paketinnimi

e = erase

jaakkomk
Vanhempi asiantuntija
Viestit: 178
Liittynyt: 09.01.2007 13:27

Viesti Kirjoittaja jaakkomk » 01.05.2007 17:03

Totesin et aika hakuteillä ollaan Javan asennuksien kanssa. Eli latasin koneelle tiedoston jdk-6u1-linux-i586.bin (~ 50 Mt), jonka asensin komennolla ./jdk-6u1-linux-i586.bin Onko tuo java-1.6.0-sun-compat-1.6.0-1jpp.i586.rpm oikea tiedosto tuohon liittyen? Yritin asentaa sitä komennolla: rpm -Uvh java-1.6.0-sun-compat-1.6.0-1jpp.i586.rpm mutta ei onnistunut.

scop
Vanhempi asiantuntija
Viestit: 156
Liittynyt: 02.09.2005 3:00

Viesti Kirjoittaja scop » 01.05.2007 18:30

jaakkomk kirjoitti:Totesin et aika hakuteillä ollaan Javan asennuksien kanssa. Eli latasin koneelle tiedoston jdk-6u1-linux-i586.bin (~ 50 Mt), jonka asensin komennolla ./jdk-6u1-linux-i586.bin
Tuossa vaiheessa meni hiukan pieleen, Sunilta pitäisi ladata se "rpm in self-extracting file" -versio; sen ajamalla saat rpm-tiedoston joka sitten asennetaan normaaliin tapaan (esim rpm -Uvh).
jaakkomk kirjoitti:Onko tuo java-1.6.0-sun-compat-1.6.0-1jpp.i586.rpm oikea tiedosto tuohon liittyen?
Melkein; ylläoleva tiedosto on alkuperäiselle jdk 6:lle, jdk 6u1:lle tarvitaan 1.6.0.01-versio:
http://mirrors.dotsrc.org/jpackage/1.7/ ... p.i586.rpm

jaakkomk
Vanhempi asiantuntija
Viestit: 178
Liittynyt: 09.01.2007 13:27

Viesti Kirjoittaja jaakkomk » 01.05.2007 18:49

Riittääkö tuon poistamiseen pelkkä kansion poistaminen?

scop
Vanhempi asiantuntija
Viestit: 156
Liittynyt: 02.09.2005 3:00

Viesti Kirjoittaja scop » 01.05.2007 19:03

Luultavasti ainakin merkittäviltä osin, en tiedä varmasti koska en ole koskaan kokeillut ei-rpm-versiota itse.

jaakkomk
Vanhempi asiantuntija
Viestit: 178
Liittynyt: 09.01.2007 13:27

Viesti Kirjoittaja jaakkomk » 02.05.2007 19:42

Samaa erroria pukkaa mitä aiemmin, javan polun olen asettanut java -version -komennon perusteella. Se antoi tulokseksi:
Valinta Komento
-----------------------------------------------
1 /usr/lib/jvm/jre-1.4.2-gcj/bin/java
*+ 2 /opt/jre1.6.0_01/bin/java
3 /usr/lib/jvm/jre-1.6.0-sun/bin/java

Miten tuon Javan toimivuuden voisi testata?

Projectx:n käänsin scopin ohjeilla rpmbuild-komennolla. Kääntö ilmeisesti tapahtui ihan ok, erroreita ei tullut, muutama warning jossain vaiheessa. Pitäiskö se asentua jonnekin kansioon vai onko näin, että pelkkä rpm-tiedosto löytyy koneelta?

Vastaa Viestiin